Bug 1126209 - Metrics Throughput can increase multiple times for the same node
Summary: Metrics Throughput can increase multiple times for the same node
Keywords:
Status: ON_QA
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server, Storage Node
Version: 4.12
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
: RHQ 4.13
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 1100309 1133605 1098243 1149342
TreeView+ depends on / blocked
 
Reported: 2014-08-03 15:44 UTC by Elias Ross
Modified: 2019-03-08 22:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1149342 (view as bug list)
Environment:
Last Closed:


Attachments (Terms of Use)

Description Elias Ross 2014-08-03 15:44:39 UTC
Description of problem:

15:40:27,367 INFO  [org.rhq.server.metrics.StorageSession] (Cassandra Java Driver worker-12) /17.176.208.118 is up
15:40:27,367 INFO  [org.rhq.server.metrics.StorageSession] (Cassandra Java Driver worker-12) Changing request throughput from 30000.0 request/sec to 40000.0 requests/sec
15:40:27,367 INFO  [org.rhq.enterprise.server.storage.StorageClusterMonitor] (Cassandra Java Driver worker-12) Storage cluster is up
15:40:27,368 INFO  [org.rhq.enterprise.server.storage.StorageClusterMonitor] (Cassandra Java Driver worker-12) Storage node at 17.176.208.118 is up
15:40:28,096 INFO  [org.rhq.server.metrics.StorageSession] (Cassandra Java Driver worker-13) /17.176.208.118 is up
15:40:28,096 INFO  [org.rhq.server.metrics.StorageSession] (Cassandra Java Driver worker-13) Changing request throughput from 40000.0 request/sec to 50000.0 requests/sec
15:40:28,096 INFO  [org.rhq.enterprise.server.storage.StorageClusterMonitor] (Cassandra Java Driver worker-13) Storage node at 17.176.208.118 is up

Seems like a race condition... The rate should be 30000 not go up to 50000


Version-Release number of selected component (if applicable): 4.12


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 John Sanda 2014-08-25 14:37:13 UTC
I am marking this as a blocker for bug 1100309 which is the BZ against which the throttling work is being tracked.

Comment 2 Michael Burman 2014-10-10 06:01:57 UTC
Fixed in master:

commit 57c72fd8254998281c157852d0f3bf3e363c09a6
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Oct 7 12:36:50 2014 +0300

    [BZ 1098243] [BZ 1149342] When encountering a timeout on StorageSession, recreate RateLimiter with higher warmup time.


Note You need to log in before you can comment on or make changes to this bug.